## com.vividsolutions.jts.index.sweepline
Class SweepLineEvent

    java.lang.Object
      com.vividsolutions.jts.index.sweepline.SweepLineEvent

All Implemented Interfaces:
  java.lang.Comparable

public class SweepLineEvent
extends java.lang.Object
implements java.lang.Comparable

Version:
  1.7

Field Summary
`static int` `DELETE`
`static int` `INSERT`

Constructor Summary
`SweepLineEvent(double x, SweepLineEvent insertEvent, SweepLineInterval sweepInt)`

Method Summary
`int` `compareTo(java.lang.Object o)` ProjectionEvents are ordered first by their x-value, and then by their eventType.
`int` `getDeleteEventIndex()`
`SweepLineEvent` `getInsertEvent()`
`boolean` `isDelete()`
`boolean` `isInsert()`
`void` `setDeleteEventIndex(int deleteEventIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSERT

    public static final int INSERT

See Also:
  Constant Field Values

### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

Constructor Detail

### SweepLineEvent

    public SweepLineEvent(double x,
                          SweepLineEvent insertEvent,
                          SweepLineInterval sweepInt)

Method Detail

### isInsert

    public boolean isInsert()

### isDelete

    public boolean isDelete()

### getInsertEvent

    public SweepLineEvent getInsertEvent()

### getDeleteEventIndex

    public int getDeleteEventIndex()

### setDeleteEventIndex

    public void setDeleteEventIndex(int deleteEventIndex)

### compareTo

    public int compareTo(java.lang.Object o)

  ProjectionEvents are ordered first by their x-value, and then by their eventType. It is important that Insert events are sorted before Delete events, so that items whose Insert and Delete events occur at the same x-value will be correctly handled.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`